package com.pcloud.book.copyright.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author lily
 * @date 2018/12/3 11:11
 */
@ApiModel
public class BookAuthUser extends BaseEntity {
    @ApiModelProperty("图书授权用户标识")
    private Long id;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("编辑标识")
    private Long adviserId;

    @ApiModelProperty("微信用户标识")
    private Long wechatUserId;

    @ApiModelProperty("是否授权码进来用户（0 授权码 1 授权金购买")
    private Integer isAuthCode;

    @ApiModelProperty("月份")
    private String months;

    @ApiModelProperty("省份")
    private String province;

    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("创建时间带时分秒")
    private Date createdTime;

    @ApiModelProperty("创建人")
    private Long createdUser;

    @ApiModelProperty("创建时间不带时分秒")
    private Date createdDate;

    @ApiModelProperty("最后修改人")
    private Long lastModifiedUser;

    @ApiModelProperty("最后修改时间")
    private Date lastModifiedDate;

    @ApiModelProperty("是否是现代纸书")
    private Integer isPaperBook;

    @ApiModelProperty("是否是社群书")
    private Integer isGroupBook;

    @ApiModelProperty("授权码id")
    private Long bookAuthCodeId;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public String getMonths() {
        return months;
    }

    public void setMonths(String months) {
        this.months = months;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public Long getLastModifiedUser() {
        return lastModifiedUser;
    }

    public void setLastModifiedUser(Long lastModifiedUser) {
        this.lastModifiedUser = lastModifiedUser;
    }

    public Date getLastModifiedDate() {
        return lastModifiedDate;
    }

    public void setLastModifiedDate(Date lastModifiedDate) {
        this.lastModifiedDate = lastModifiedDate;
    }

    public Integer getAuthCode() {
        return isAuthCode;
    }

    public void setAuthCode(Integer authCode) {
        isAuthCode = authCode;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getIsPaperBook() {
        return isPaperBook;
    }

    public void setIsPaperBook(Integer isPaperBook) {
        this.isPaperBook = isPaperBook;
    }

    public Integer getIsGroupBook() {
        return isGroupBook;
    }

    public void setIsGroupBook(Integer isGroupBook) {
        this.isGroupBook = isGroupBook;
    }

    public Long getBookAuthCodeId() {
        return bookAuthCodeId;
    }

    public void setBookAuthCodeId(Long bookAuthCodeId) {
        this.bookAuthCodeId = bookAuthCodeId;
    }

    @Override
    public String toString() {
        return "BookAuthUser{" +
                "id=" + id +
                ", bookId=" + bookId +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", wechatUserId=" + wechatUserId +
                ", isAuthCode=" + isAuthCode +
                ", months='" + months + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", createdTime=" + createdTime +
                ", createdUser=" + createdUser +
                ", createdDate=" + createdDate +
                ", lastModifiedUser=" + lastModifiedUser +
                ", lastModifiedDate=" + lastModifiedDate +
                ", isPaperBook=" + isPaperBook +
                ", isGroupBook=" + isGroupBook +
                '}';
    }
}
